# H248_StatisticsParameter Class Reference

`#include <h248.h>`

Inheritance diagram for H248_StatisticsParameter:

List of all members.

## Public Types

enum | OptionalFields { e_statValue }

## Public Member Functions

| H248_StatisticsParameter (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_PkgdName | m_statName
H248_Value | m_statValue

## Member Enumeration Documentation

enum H248_StatisticsParameter::OptionalFields

Enumerator:

  e_statValue |

## Constructor & Destructor Documentation

H248_StatisticsParameter::H248_StatisticsParameter | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_StatisticsParameter::GetDataLength | ( |  | ) | const

PBoolean H248_StatisticsParameter::Decode | ( | PASN_Stream & | strm | ) |

void H248_StatisticsParameter::Encode | ( | PASN_Stream & | strm | ) | const

void H248_StatisticsParameter::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_StatisticsParameter::Compare | ( | const PObject & | obj | ) | const

PObject* H248_StatisticsParameter::Clone | ( |  | ) | const

## Member Data Documentation

H248_PkgdName H248_StatisticsParameter::m_statName

H248_Value H248_StatisticsParameter::m_statValue

The documentation for this class was generated from the following file:

- h248.h